. ./config.txt
SCRIPT_DIR=./script
# 2. Classifier training and testing
echo "2. Classifier training and testing"

# look at the following work directory as a reference
# /almond/chu/wiki_zh_ja/kanji-based-parallel/classifier/classification/not-kanji-alignment-dic-content-feature/ble/train_ext/seed_0/proposed_best/freq100.top3

# 2.1 create feature files
echo "2.1 create feature files for training and testing data"
mkdir -p classify
DIC_RATIO=0 # use the dictionary entries above this ratio
MODE=4 # sepecify it to [2.5] when you want to use all the features except for the kanji features
perl $SCRIPT_DIR/make_event_file.pl -data_path ./train -event_file ./classify/train -dic_file $DIC_FILE -dic_ratio $DIC_RATIO -mode $MODE
perl $SCRIPT_DIR/make_event_file.pl -data_path ./test -event_file ./classify/test -dic_file $DIC_FILE -dic_ratio $DIC_RATIO -mode $MODE

# Note: one trick here is that I predefined part-of-speech (POS) tag sets of function words in the program as follows, 
# you have to specfiy this for other languages; also you have to change the way to process the POS tags in the program
# if they had a different format
# my %UnusedPOS_J = ('接頭辞' => 1, '接尾辞' => 1, '助詞' => 1, '助動詞' => 1, '判定詞' => 1, '指示詞' => 1, 
# 		   '特殊:句点' => 1, '特殊:読点' => 1, '特殊:空白' => 1, '名詞:形式名詞' => 1, '名詞:副詞的名詞' => 1);
# my %UnusedPOS_C = ('AS' => 1, 'BA' => 1, 'CC' => 1, 'CS' => 1, 'DEC' => 1, 'DEG' => 1, 'DER' => 1, 'DEV' => 1, 'DT' => 1, 'IJ' => 1, 
# 		   'LB' => 1, 'LC' => 1, 'MSP' => 1, 'P' => 1, 'PN' => 1, 'PU' => 1, 'SB' => 1, 'SP' => 1, 'VC' => 1, 'VE' => 1);
# my %UnusedPOS_E = ('CC' => 1, 'DT' => 1, 'EX' => 1, 'IN' => 1, 'LS' => 1, 'MD' => 1, 'PDT' => 1, 'POS' => 1,
# 		   'RP' => 1, 'TO' => 1, 'UH' => 1);

# 2.2 training and testing
echo "2.2 training and testing"
# as it also requries test sentences, you could create them in the same manner, or simply
cd ./classify && python $LIBSVM_DIR/tools/easy.py train test 2> /dev/null && cd ../

# 2.3 evaluate classification results
perl $SCRIPT_DIR/eval_libsvm.pl -svm_path ./classify -threshold $THRESHOLD -data_path ./test
